[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tmatrix3_double): Tmatrix2_single

Allow assignment of three-dimensional double precision matrix to two-dimensional single precision matrix

## Declaration

Source position: matrix.pp line 479

`operator operator :=(Tmatrix3_double): Tmatrix2_single(`
`const v: Tmatrix3_double`
`):Tmatrix2_single;`

## Description

This operator allows you to use a three-dimensional matrix with double precision values wherever a two-dimensional matrix with single precision is expected. The surplus fields are thrown away and some accuracy is lost because of the conversion.

Documentation generated on: Feb 26 2014